org.eclipse.net4j.util.container.delegate

## Class AbstractDelegator<E>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>

- All Implemented Interfaces:
    IContainer<E>, INotifier
  Direct Known Subclasses:
    ContainerCollection, ContainerMap

      public abstract class AbstractDelegator<E>
      extends Notifier
      implements IContainer<E>

  A delegating base class for `containers`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractDelegator.DelegatingIterator` A delegating `iterator`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDelegator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ContainerEvent<E>` | `createEvent(java.util.Collection<? super E> c, IContainerDelta.Kind kind)`
    `protected boolean` | `dispatchEvent(ContainerEvent<E> event)`
    `protected void` | `fireAddedEvent(E o)`
    `protected void` | `fireRemovedEvent(java.lang.Object o)`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### AbstractDelegator

          public AbstractDelegator()

  - ### Method Detail

    - #### fireAddedEvent

          protected void fireAddedEvent(E o)

    - #### fireRemovedEvent

          protected void fireRemovedEvent(java.lang.Object o)

    - #### createEvent

          protected ContainerEvent<E> createEvent(java.util.Collection<? super E> c,
                                                  IContainerDelta.Kind kind)

    - #### dispatchEvent

          protected boolean dispatchEvent(ContainerEvent<E> event)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html